import 'package:fooder/client/based.dart';
import 'package:fooder/models/diary.dart';
import 'package:intl/intl.dart';

class DiaryClient extends BasedClient {
  const DiaryClient({required super.apiClient});

  Future<Diary> get({required DateTime date}) async {
    var formatter = DateFormat('yyyy-MM-dd');
    var params = {
      "date": formatter.format(date),
    };
    var response =
        await apiClient.get("/diary?${Uri(queryParameters: params).query}");

    return Diary.fromJson(response);
  }
}
