import 'package:fooder/client/based.dart';

class MealClient extends BasedClient {
  const MealClient({required super.apiClient});

  Future<void> create({required String name, required int diaryId}) async {
    await apiClient.post("/meal", {
      "name": name,
      "diary_id": diaryId,
    });
  }

  Future<void> createFromPreset(
      {required String name,
      required int diaryId,
      required int presetId}) async {
    await apiClient.post("/meal/from_preset", {
      "name": name,
      "diary_id": diaryId,
      "preset_id": presetId,
    });
  }

  Future<void> update(int id, String name) async {
    await apiClient.postNoResult("/meal/$id/save", {
      "name": name,
    });
  }

  Future<void> delete(int id) async {
    await apiClient.delete("/meal/$id");
  }
}
