import 'package:fooder/client/based.dart';
import 'package:fooder/models/preset.dart';

class PresetClient extends BasedClient {
  const PresetClient({required super.apiClient});

  Future<List<Preset>> list(String? q) async {
    var response =
        await apiClient.get("/preset?${Uri(queryParameters: {"q": q}).query}");
    return (response['presets'] as List<dynamic>)
        .map((e) => Preset.fromJson(e as Map<String, dynamic>))
        .toList();
  }

  Future<void> delete(int id) async {
    await apiClient.delete("/preset/$id");
  }
}
