import 'package:flutter/material.dart';
import 'package:fooder/screens/login.dart';
import 'package:fooder/context.dart';
import 'package:fooder/theme.dart';

class MyApp extends StatelessWidget {
  final Context ctx;

  const MyApp({required this.ctx, super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'FOODER',
      theme: MainTheme.light(),
      darkTheme: MainTheme.dark(),
      themeMode: ThemeMode.system,
      debugShowCheckedModeBanner: false,
      home: LoginScreen(
        ctx: ctx,
      ),
    );
  }
}

void main() async {
  var ctx = await Context.create(
    baseUrl: 'https://fooderapi.domandoman.xyz/api',
  );

  runApp(MyApp(ctx: ctx));
}
