class Product {
  final int id;
  final String name;
  final double calories;
  final double protein;
  final double carb;
  final double fat;
  final double fiber;
  final int usageCountCached;
  final String? barcode;

  Product(
      {required this.id,
      required this.name,
      required this.calories,
      required this.protein,
      required this.carb,
      required this.fat,
      required this.fiber,
      this.usageCountCached = 0,
      this.barcode});

  Product.fromJson(Map<String, dynamic> map)
      : id = map['id'] as int,
        name = map['name'] as String,
        calories = map['calories'] as double,
        protein = map['protein'] as double,
        carb = map['carb'] as double,
        fat = map['fat'] as double,
        fiber = map['fiber'] as double,
        usageCountCached = map['usage_count_cached'] as int,
        barcode = map['barcode'] as String?;

  Map<String, Object?> toMap() {
    return {
      'id': id,
      'name': name,
      'calories': calories,
      'protein': protein,
      'carb': carb,
      'fat': fat,
      'fiber': fiber,
      'barcode': barcode,
      'usage_count_cached': usageCountCached,
    };
  }
}
